Skip to content
Permalink
Browse files

simplified travis

  • Loading branch information...
joamag committed Sep 24, 2018
1 parent 3450d55 commit 56ab3903493957d7c91a9a3da49d0d31a58c51ac
Showing with 4 additions and 11 deletions.
  1. +4 −11 .travis.yml
@@ -2,10 +2,7 @@ sudo: false
dist: trusty
language: python
python:
- "2.6"
- "2.7"
- "3.2"
- "3.3"
- "3.4"
- "3.5"
- "3.6"
@@ -14,19 +11,15 @@ python:
- "pypy-5.4.1"
- "pypy-5.6.0"
- "pypy-5.7.1"
- "pypy3-2.4.0"
- "pypy2.7-5.8.0"
- "pypy3.5-5.8.0"
before_install:
- if [[ $TRAVIS_PYTHON_VERSION != "3.2" ]] && [[ $TRAVIS_PYTHON_VERSION != "3.3" ]] && [[ $TRAVIS_PYTHON_VERSION != "pypy3-2.4.0" ]]; then pip install --upgrade pip setuptools; fi
- if [[ $TRAVIS_PYTHON_VERSION == "3.2" ]]; then pip install --upgrade "pip<8.0" "setuptools<20.0"; fi
- if [[ $TRAVIS_PYTHON_VERSION == "3.3" ]] || [[ $TRAVIS_PYTHON_VERSION == "pypy3-2.4.0" ]]; then pip install --upgrade "pip<10.0" "setuptools<24.0"; fi
- pip install --upgrade pip setuptools
install:
- pip install "pkginfo<1.3"
- pip install -r requirements.txt
- pip install "pycparser<2.19" coveralls
script: if [[ $TRAVIS_PYTHON_VERSION != "3.2" ]]; then coverage run --source=dropbox setup.py test; else python setup.py test; fi
after_success: if [[ $TRAVIS_PYTHON_VERSION != "3.2" ]]; then coveralls; fi
- pip install coveralls
script: coverage run --source=dropbox setup.py test
after_success: coveralls
deploy:
provider: pypi
user: joamag

0 comments on commit 56ab390

Please sign in to comment.
You can’t perform that action at this time.